/*******************************************************************************
 * SkelControlFootPlacement generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class SkelControlFootPlacement extends SkelControlLimb
    native(Anim)
    hidecategories(Object,Object,Effector);

var(FootPlacement) float FootOffset;
var(FootPlacement) Core.Object.EAxis FootUpAxis;
var(FootPlacement) Rotator FootRotOffset;
var(FootPlacement) bool bInvertFootUpAxis;
var(FootPlacement) bool bOrientFootToGround;
var(FootPlacement) bool bOnlyEnableForUpAdjustment;
var(FootPlacement) float MaxUpAdjustment;
var(FootPlacement) float MaxDownAdjustment;
var(FootPlacement) float MaxFootOrientAdjust;

defaultproperties
{
    FootUpAxis=EAxis.AXIS_X
    bOrientFootToGround=true
    MaxUpAdjustment=50.0
    MaxFootOrientAdjust=45.0
}